.select-list {
    display: grid;
    grid-template-columns: 1fr max-content 1fr;
    gap: 15px;
}

.select-list .select-list__item-list {
    list-style: none;
    margin: 0;
    padding: 0;
    overflow: hidden;
    overflow-y: auto;
    max-height: 70vh;
}

.select-list .select-list__column-separator {
    display: flex;
    gap: 10px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.select-list .select-list__column-separator button {
    width: 100%;
}

.select-list .select-list__title,
.select-list .select-list__item {
    border: 1px solid;
}

.select-list .select-list__title {
    background-color: var(--secondary);
    border-color: var(--secondary);
    color: #fff;
}

.select-list .select-list__item:not(:last-child) {
    border-bottom: 0;
}

.select-list .select-list__item:is(:first-child) {
    border-top: 0;
}

.select-list .select-list__item-title {
    flex: 1 1 auto;
}

.select-list .select-list__input {
    float: right;
    width: 100px;
    padding: 4px;
    font-size: 15px;
}

.select-list .select-list__wrapper,
.select-list .select-list__title {
    display: flex;
    align-items: center;
    gap: 5px;
    margin: 0;
    padding: 10px 15px;
}

.select-list .select-list__wrapper {
    cursor: pointer;
}

.select-list .select-list__wrapper:has(.select-list__selector:checked) {
    background-color: var(--light);
}

.select-list .select-list__selector {
    transform: translateY(0px);
    flex-shrink: 0;
}

@media only screen and (max-width: 767.98px) {
    .select-list {
        grid-template-columns: 1fr;
    }

    .select-list .select-list__column-separator {
        flex-direction: row;
    }

    .select-list .select-list__column-separator button {
        transform: rotateZ(90deg);
        width: 45px;
    }
}